define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-BF1665C4-4AF6-44B6-BF3B-E3481E863049",
                    "topics":[
                        {
                            "title":"Purpose",
                            "href":"preface.html#GUID-1B547A3B-8529-4A9F-B596-F96C3F2E8F05"
                        },
                        {
                            "title":"Audience",
                            "href":"preface.html#GUID-ACC11514-FB59-46A6-AFA3-3EF202252EEE"
                        },
                        {
                            "title":"Acronyms and Abbreviations",
                            "href":"preface.html#GUID-C089C9F6-6DEA-4701-A081-31BF4172A9B5"
                        },
                        {
                            "title":"List of Topics",
                            "href":"preface.html#GUID-C1ABE68B-048E-444C-A7FD-225A133B73C9"
                        },
                        {
                            "title":"Prerequisites",
                            "href":"preface.html#GUID-F246FCE1-EE57-416D-8E38-CCECC595922A"
                        },
                        {
                            "title":"General Prevention",
                            "href":"preface.html#GUID-5C1A65D5-FD95-4657-8328-81EACBBB1DCB"
                        },
                        {
                            "title":"Best Practices",
                            "href":"preface.html#GUID-FB5349C1-8F0B-4E1D-A3D1-27ABE2F1D768"
                        },
                        {
                            "title":"Related Documents",
                            "href":"preface.html#GUID-69151547-313B-4570-92EA-9A9814603C2B"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Troubleshooting Technical Flows",
                    "href":"troubleshooting-technical-flows.html#GUID-BE8313B8-53DC-4B69-B33C-F056FB260BA2",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Where is the Problem",
                            "href":"troubleshooting-technical-flows.html#GUID-7C789847-A044-4947-9548-203F15A13F9E"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Preliminary Checks from UI",
                            "href":"troubleshooting-technical-flows.html#GUID-ED585EDF-AF41-4405-A1E7-95513DB227FD"
                        },
                        {
                            "title":"<span class=\"secnum\">1.3 </span> Troubleshooting Environmental Issues",
                            "href":"troubleshooting-technical-flows.html#GUID-F1C627D7-3AE2-43A3-A7CF-89EC85DCA928",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">1.3.1 </span> Possible Issues While Deploying Services",
                                    "href":"troubleshooting-technical-flows.html#GUID-89DA7454-185B-460A-8000-F0AD440E49FE",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">1.3.1.1 </span> Service Deployment is failing due to Flyway",
                                            "href":"troubleshooting-technical-flows.html#GUID-8CAC60E5-28D4-4D2D-8A56-D7DE61157C91"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">1.3.1.2 </span> Other possible issues",
                                            "href":"troubleshooting-technical-flows.html#GUID-337F0490-AFAC-4645-AD85-E6BDCE8BF2A1"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">1.3.2 </span> Possible Issues in Login and Screen Launch",
                                    "href":"troubleshooting-technical-flows.html#GUID-7FD7D061-20E2-48EB-A451-026E96B65614",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">1.3.2.1 </span> Login Page is not Launching",
                                            "href":"troubleshooting-technical-flows.html#GUID-1E083F0B-25EE-4575-ABA2-F093218D633F"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">1.3.2.2 </span> Unable to login after launching the application",
                                            "href":"troubleshooting-technical-flows.html#GUID-B9C8A634-A051-410E-8F5B-F94AAB0C9ACC"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">1.3.2.3 </span> Unable to login after restarting the services",
                                            "href":"troubleshooting-technical-flows.html#GUID-87B15821-10F3-4826-B90D-A3ADCF222E9D"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">1.3.2.4 </span> Menus are not displayed after logging in",
                                            "href":"troubleshooting-technical-flows.html#GUID-66FD1CA5-CBED-44BE-A3BA-FAA961276C58"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">1.3.2.5 </span> Screens are not launching after logging in",
                                            "href":"troubleshooting-technical-flows.html#GUID-596392FD-6035-4F45-96D9-C627DFABCC43"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Troubleshooting Kafka",
                    "href":"troubleshooting-kafka.html#GUID-3BA690F4-47B8-44A1-A8F4-73AF6E5D8E5E",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1 </span> Consumer Services",
                            "href":"troubleshooting-kafka.html#GUID-17705D35-0A6D-427C-A5F0-804949D5F90B"
                        },
                        {
                            "title":"<span class=\"secnum\">2.2 </span> Producer Services",
                            "href":"troubleshooting-kafka.html#GUID-FFB47DB3-72CA-4BF5-B2F7-9F90369F7B98"
                        },
                        {
                            "title":"<span class=\"secnum\">2.3 </span> Debugging Consumer/Producer health and troubleshooting",
                            "href":"troubleshooting-kafka.html#GUID-1B098057-386B-45FF-B202-6E4741F78D40",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.3.1 </span> Logs to analyze",
                                    "href":"troubleshooting-kafka.html#GUID-066E7BB2-1C57-4F9D-964F-20BAB05B53EB"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.3.2 </span> Tables to analyze",
                                    "href":"troubleshooting-kafka.html#GUID-92F2C705-C1C7-4640-BAE5-CF3C591B8EDB"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">2.4 </span> Configurations",
                            "href":"troubleshooting-kafka.html#GUID-9A71D613-E710-40A0-A494-36704B2D21CE"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Health Checks",
                    "href":"health-checks.html#GUID-227FC118-0246-42BB-998A-AC69ADCD458F",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> Eureka Dashboard",
                            "href":"health-checks.html#GUID-36BBB45D-14F7-4321-930C-B22060697B90"
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> Application Services",
                            "href":"health-checks.html#GUID-75FE5D88-899D-43FE-B409-52119BB3947A"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Troubleshooting Application Workflows",
                    "href":"troubleshooting-application-workflows.html#GUID-54DB3405-F6F8-4BF4-99F9-BFB58E047067",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1 </span> Oracle Banking Liquidity Management – Subdomains List",
                            "href":"troubleshooting-application-workflows.html#GUID-76E8DFDA-2B2B-4013-B2FF-96FCE1B411F3"
                        },
                        {
                            "title":"<span class=\"secnum\">4.2 </span> Micro Frontend Architecture",
                            "href":"troubleshooting-application-workflows.html#GUID-F36DD3C3-6073-47A9-80D0-D61CCF4B8117",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.2.1 </span> First level issues",
                                    "href":"troubleshooting-application-workflows.html#GUID-5F426910-3F81-4316-BD22-5C85C5C37046",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.1 </span> Error Message not shown",
                                            "href":"troubleshooting-application-workflows.html#GUID-5B4234C5-A86E-4C9B-9E04-7112A1536FC5"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.2 </span> Setting Log file path",
                                            "href":"troubleshooting-application-workflows.html#GUID-AA981701-4D8F-4837-8929-792BEC27DCFE"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.3 </span> Dynamic log generation issues",
                                            "href":"troubleshooting-application-workflows.html#GUID-692161CE-E0BE-4FEE-9BE4-34E063D30FFE"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.4 </span> Call is failing in Gateway",
                                            "href":"troubleshooting-application-workflows.html#GUID-BCA0815A-7336-43C4-9884-ADFA9A081E4B"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.5 </span> Logs are not generated",
                                            "href":"troubleshooting-application-workflows.html#GUID-4B6AEE0E-4F61-4729-B0CF-6CB4A9AE828F"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.6 </span> Code error in GCS side",
                                            "href":"troubleshooting-application-workflows.html#GUID-AB65A6B7-F7D7-40E1-BEDC-FEACC23F7352"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.7 </span> 404 Error",
                                            "href":"troubleshooting-application-workflows.html#GUID-C709AA6C-4FDC-4F34-BF0A-27B1B4FD0199"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">4.2.1.8 </span> 500 Internal Error",
                                            "href":"troubleshooting-application-workflows.html#GUID-CA3AC84E-1712-4F2F-A14D-E47C06A57CA2"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">4.2.2 </span> Transaction Data Verification",
                                    "href":"troubleshooting-application-workflows.html#GUID-3AF8D1E7-A8F2-4589-A46E-DDD438F576B5"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4.3 </span> Payment Service Integration Troubleshooting",
                            "href":"troubleshooting-application-workflows.html#GUID-BEF579C1-DD35-43F4-BCDF-CA4048B6974B",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.3.1 </span> Balance Fetch (FCUBS) is failing",
                                    "href":"troubleshooting-application-workflows.html#GUID-6D115DEC-7F75-4FBF-A6A3-BAFA8CC752F6"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.3.2 </span> Accounting call (FCUBS) is failing",
                                    "href":"troubleshooting-application-workflows.html#GUID-FF5BA9F7-C6BB-43E7-8A49-AF5906302C13"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.3.3 </span> OBPM call is failing",
                                    "href":"troubleshooting-application-workflows.html#GUID-587D7D65-6794-445C-B28B-297BC53E389B"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4.4 </span> Troubleshooting SMS Errors",
                            "href":"troubleshooting-application-workflows.html#GUID-B81A1DFD-08A6-45CF-8AB2-2D232D6E84E1"
                        },
                        {
                            "title":"<span class=\"secnum\">4.5 </span> Oracle Banking Routing Hub Configuration",
                            "href":"troubleshooting-application-workflows.html#GUID-B7AF168F-E422-4D14-9A76-460B8CB9B57D"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Troubleshooting OutOfMemory issues",
                    "href":"troubleshooting-outofmemory-issues.html#GUID-C5C3C488-F369-46B3-8C80-2376E7FBF390",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1 </span> Extracting Heapdump",
                            "href":"troubleshooting-outofmemory-issues.html#GUID-0778DFC6-13A1-4192-91F4-ED934BE87A55",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.1.1 </span> Heap Dump",
                                    "href":"troubleshooting-outofmemory-issues.html#GUID-563F4993-3F88-47D2-8297-898E95544B8B",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">5.1.1.1 </span> Remote Heap Monitor setup",
                                            "href":"troubleshooting-outofmemory-issues.html#GUID-30022E59-8988-4E9A-AD75-2085A53F6EA7"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.2 </span> JFR Tool in Java",
                            "href":"troubleshooting-outofmemory-issues.html#GUID-24115185-06F9-491B-BBB3-DEEEA8F1E2E5"
                        },
                        {
                            "title":"<span class=\"secnum\">5.3 </span> Quick Recovery",
                            "href":"troubleshooting-outofmemory-issues.html#GUID-AC8E1DA6-00FA-41F8-BFC3-DE62DB095A91"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Business Error Codes",
                    "href":"business-error-codes.html"
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});